package ecs.components;

import ecs.core.Entity;
import ecs.core.Component;

class Aim extends Component {
	public var aimTo:Class<Component>;
	public var targets:Array<Entity> = [];

	public function new(aimTo:Class<Component>) {
		super();

		this.aimTo = aimTo;
	}
}
